Bug 222930 - New option for security/cryptopp
Summary: New option for security/cryptopp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-11 10:15 UTC by Roberto Fernandez Cueto
Modified: 2018-03-11 16:17 UTC (History)
1 user (show)

See Also:
jhale: maintainer-feedback+


Attachments
Patch to include cryptest (1.16 KB, patch)
2017-10-11 10:15 UTC, Roberto Fernandez Cueto
no flags Details | Diff
Patch to include cryptest (reviewed) (1.40 KB, patch)
2017-10-11 13:37 UTC, Roberto Fernandez Cueto
no flags Details | Diff
Avoiding make to break (1.61 KB, patch)
2017-10-19 10:29 UTC, Roberto Fernandez Cueto
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roberto Fernandez Cueto 2017-10-11 10:15:58 UTC
Created attachment 187078 [details]
Patch to include cryptest

Cryptopp has the possibility of building a test program, which can be used to easily use the libcryptopp API to encrypt or decrypt files.

This patch is intended to include this program, optionally, in the build process.
Comment 1 Jason E. Hale freebsd_committer 2017-10-11 12:41:18 UTC
The cryptest.exe program also requires the data in the TestData directory (at least usage.dat since most people would like to know how to use it). CRYPTOPP_DATA_DIR would also have to be set in MAKE_ENV since, by default, the program looks for the data in the same directory it is in. Setting this to DATADIR or something would break the port tests, though, since the data wouldn't be installed yet when they are run.
Comment 2 Roberto Fernandez Cueto 2017-10-11 13:37:34 UTC
Created attachment 187080 [details]
Patch to include cryptest (reviewed)

Reviewed the patch to include the usage.dat file in order to get the usage for the file.
Comment 3 Jason E. Hale freebsd_committer 2017-10-11 13:47:44 UTC
make check-plist fails
make test fails
Comment 4 Roberto Fernandez Cueto 2017-10-11 14:53:00 UTC
I have a quick question before trying to do the things the hard way. Is there any way to include all the files that are inside a folder and put them into PLIST_FILES?
Comment 5 Roberto Fernandez Cueto 2017-10-19 10:29:16 UTC
Created attachment 187302 [details]
Avoiding make to break

The new patch passes make check-plist and make test.

The main thing I did is to rebuild everything without the TOOLS_MAKE_ENV Variable set, so the tests are being run in place.

I hope it could be approved now
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-03-04 17:00:31 UTC
ping!
Comment 7 commit-hook freebsd_committer 2018-03-11 16:10:52 UTC
A commit references this bug:

Author: jhale
Date: Sun Mar 11 16:10:20 UTC 2018
New revision: 464184
URL: https://svnweb.freebsd.org/changeset/ports/464184

Log:
  Reinstate the cryptest binary removed in r428022 as it may be useful to some
  people. Since it was installed by default before, so it shall be now. It can
  be toggled with the TOOLS option. For the regression tests to run, it must be
  toggled OFF due to environment restrictions.

  While here:
  - Switch to plain USES=zip, it extracts fine with base unzip
  - Clean up whitespace
  - Fix portlint warnings
  - Rename LIBVERSION variable to SOVERSION

  PR:		222930
  Submitted by:	Roberto Fernandez Cueto <roberfern@gmail.com>

Changes:
  head/security/cryptopp/Makefile
  head/security/cryptopp/pkg-plist
Comment 8 Jason E. Hale freebsd_committer 2018-03-11 16:17:49 UTC
Committed with some other work done. Sorry I took so long with this!